Skip to main content
GET
/
api
/
v1
/
contract-templates
/
{templateId}
Get Contract Template by ID
curl --request GET \
  --url https://sandbox.oumla.com/api/v1/contract-templates/{templateId} \
  --header 'x-api-key: <api-key>'
{
  "result": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "organizationId": "123e4567-e89b-12d3-a456-426614174000",
    "name": "ERC721 Token",
    "description": "Standard ERC721 token contract",
    "longDescription": "<string>",
    "bytecode": "0x608060405234801561001057600080fd5b50...",
    "sourceCode": "<string>",
    "type": "ERC721",
    "docs": {},
    "attributes": {},
    "abi": [
      {
        "name": "transfer",
        "stateMutability": "nonpayable",
        "type": "function",
        "inputs": [
          {}
        ],
        "outputs": [
          {}
        ],
        "description": "<string>"
      }
    ],
    "createdAt": "2024-01-01T00:00:00.000Z",
    "updatedAt": "2024-01-01T00:00:00.000Z"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain your API key from the dashboard.

Headers

x-sdk-version
string
default:1.0.0

SDK version header

Path Parameters

templateId
string
required

Contract template ID

Response

Successfully retrieved contract template

Contract template by id response object

result
object

Contract template data object